> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.conductorquantum.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.conductorquantum.com/_mcp/server.

# Transpile

POST https://api.conductorquantum.com/v0/coda/tools/transpile
Content-Type: application/json

Convert quantum circuit code between frameworks. Supports Qiskit, Cirq, PennyLane, Braket, PyQuil, CUDA-Q, and OpenQASM.

Reference: https://docs.conductorquantum.com/api-reference/coda-api/tools/transpile

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a TranspileRequest.

- `source_code` (string, required) — Quantum circuit code in any supported framework
- `target` (string, required) — Target framework: qiskit, cirq, pennylane, braket, pyquil, cudaq, openqasm

## Response

### 200

Successful Response

- `success` (boolean, required)
- `source_framework` (string, required)
- `target_framework` (string, required)
- `converted_code` (string, required)
- `intermediate_qasm` (string, optional)
- `qasm_version` (string, optional)
- `warnings` (list of string, optional)
- `gate_count` (integer, optional)
- `qubit_count` (integer, optional)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### ValidationErrorLocItems

### ValidationErrorCtx

## Examples

**Request**

```json
{
  "body": {
    "source_code": "from qiskit import QuantumCircuit\nqc = QuantumCircuit(2)\nqc.h(0)\nqc.cx(0, 1)",
    "target": "cirq"
  }
}
```

**Response**

```json
{
  "success": true,
  "source_framework": "qiskit",
  "target_framework": "cirq",
  "converted_code": "import cirq\n\nq0, q1 = cirq.LineQubit.range(2)\ncircuit = cirq.Circuit(\n    cirq.H(q0),\n    cirq.CNOT(q0, q1),\n)",
  "intermediate_qasm": "OPENQASM 3.0;\ninclude \"stdgates.inc\";\nqubit[2] q;\nh q[0];\ncx q[0], q[1];",
  "qasm_version": "3.0",
  "warnings": [],
  "gate_count": 2,
  "qubit_count": 2
}
```

**SDK Code**

```python conductorquantum
from conductorquantum import ConductorQuantum

client = ConductorQuantum(token="<token>")
result = client.coda.tools.transpile(
    source_code="from qiskit import QuantumCircuit\nqc = QuantumCircuit(2)\nqc.h(0)\nqc.cx(0, 1)",
    target="cirq",
)
print(result)
```

```javascript
const url = 'https://api.conductorquantum.com/v0/coda/tools/transpile';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":{"source_code":"from qiskit import QuantumCircuit\nqc = QuantumCircuit(2)\nqc.h(0)\nqc.cx(0, 1)","target":"cirq"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.conductorquantum.com/v0/coda/tools/transpile"

	payload := strings.NewReader("{\n  \"body\": {\n    \"source_code\": \"from qiskit import QuantumCircuit\\nqc = QuantumCircuit(2)\\nqc.h(0)\\nqc.cx(0, 1)\",\n    \"target\": \"cirq\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.conductorquantum.com/v0/coda/tools/transpile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": {\n    \"source_code\": \"from qiskit import QuantumCircuit\\nqc = QuantumCircuit(2)\\nqc.h(0)\\nqc.cx(0, 1)\",\n    \"target\": \"cirq\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.conductorquantum.com/v0/coda/tools/transpile")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": {\n    \"source_code\": \"from qiskit import QuantumCircuit\\nqc = QuantumCircuit(2)\\nqc.h(0)\\nqc.cx(0, 1)\",\n    \"target\": \"cirq\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.conductorquantum.com/v0/coda/tools/transpile', [
  'body' => '{
  "body": {
    "source_code": "from qiskit import QuantumCircuit\\nqc = QuantumCircuit(2)\\nqc.h(0)\\nqc.cx(0, 1)",
    "target": "cirq"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.conductorquantum.com/v0/coda/tools/transpile");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": {\n    \"source_code\": \"from qiskit import QuantumCircuit\\nqc = QuantumCircuit(2)\\nqc.h(0)\\nqc.cx(0, 1)\",\n    \"target\": \"cirq\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": [
    "source_code": "from qiskit import QuantumCircuit
qc = QuantumCircuit(2)
qc.h(0)
qc.cx(0, 1)",
    "target": "cirq"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.conductorquantum.com/v0/coda/tools/transpile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```